---
title: MediaKeySystemConfiguration
slug: Web/API/MediaKeySystemConfiguration
tags:
  - API
  - EME
  - Encrypted Media Extensions
  - Encrypted Media Extensions API
  - EncryptedMediaExtensions
  - Interface
  - MediaKeySystemConfiguration
  - NeedsContent
  - NeedsExample
  - Reference
---
<div>{{APIRef("Encrypted Media Extensions")}}{{SeeCompatTable}}</div>

<p>The <code><strong>MediaKeySystemConfiguration</strong></code> dictionary holds configuration information about the media key system in use.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaKeySystemConfiguration.initDataTypes")}} {{readonlyinline}}</dt>
 <dd>Returns a list of supported initialization data type names. An initialization data type is a string indicating the format of the initialization data.</dd>
 <dt>{{domxref("MediaKeySystemConfiguration.audioCapabilities")}} {{readonlyinline}}</dt>
 <dd>Returns a list of supported audio type and capability pairs.</dd>
 <dt>{{domxref("MediaKeySystemConfiguration.videoCapabilities")}} {{readonlyinline}}</dt>
 <dd>Returns a list of supported video type and capability pairs.</dd>
 <dt>{{domxref("MediaKeySystemConfiguration.distinctiveIdentifier")}} {{readonlyinline}}</dt>
 <dd>Indicates whether a persistent distinctive identifier is required.</dd>
 <dt>{{domxref("MediaKeySystemConfiguration.persistentState")}} {{readonlyinline}}</dt>
 <dd>Indicates whether the ability to persist state is required.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#mediakeysystemconfiguration-dictionary', 'MediaKeySystemConfiguration')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemConfiguration")}}</p>
</div>
